PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## WITH-SPY

> kernel extension

`SPY-EXIT``( -- )``` => `"EXTENSIONS"`

  will unnest the current colon-word so it will actually return the word calling it. This can be found in the middle of a colon-sequence between `:` and `;`

  primitive code = [p4_spy_exit]

`;SPY``( -- )``` => `"EXTENSIONS"`

  compiles `((;))` which does `EXIT` the current colon-definition. It does then end compile-mode and returns to execute-mode. See `:` and `:NONAME`

  compiling word = [p4_spy_semicolon]

`SPY_ON``( -- )``` => `"EXTENSIONS"`

  change the runtime-code of `(NEST)` to call a special word that prints info to the screen whenever a colon word is entered. It will print the name and the current stack, and results in a kind of execution trace over `SPY' :`-colon nested words.

  primitive code = [p4_spy_on]

`SPY_OFF``( -- )``` => `"EXTENSIONS"`

  disable `SPY_ON` nest-trace.

  primitive code = [p4_spy_off]